// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include <bdNet/bdStream/bdInStream.h>

#include <bdConnection/bdConnection.h>

bdInStream::bdInStream(const bdStreamId &streamId, 
					   const bdConnectionRef connection)
: m_streamId(streamId), 
  m_connection(connection)
{
}

bdInStream::~bdInStream()
{
}

const bdStreamId &bdInStream::getStreamId() const
{
	return m_streamId;
}

bdConnectionRef bdInStream::getConnection() const
{
	return m_connection;
}


